kr.co.hanwha.hifive.util

## Class HFSharedPreferences

- java.lang.Object
- - kr.co.hanwha.hifive.util.HFSharedPreferences

-     public class HFSharedPreferences
      extends java.lang.Object

  Created by sanghoonkwon on 2018. 1. 10..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `KEY_CHECK_AUTH_TIME`
    `static java.lang.String` | `KEY_DEFAULT_SCREEN`
    `static java.lang.String` | `KEY_DEVICE_UUID`
    `static java.lang.String` | `KEY_LAST_MEMBER_LOGIN_ID`
    `static java.lang.String` | `KEY_LAST_NOTICE_NO`
    `static java.lang.String` | `KEY_MEMBER_LOGIN_ID`
    `static java.lang.String` | `KEY_NEED_REFRESH_ALARM_LIST`
    `static java.lang.String` | `KEY_NEED_REFRESH_MAIN_DASHBOARD`
    `static java.lang.String` | `KEY_NEED_REFRESH_MAIN_HOME_ASSIGNED`
    `static java.lang.String` | `KEY_NEED_REFRESH_MAIN_HOME_REQUEST`
    `static java.lang.String` | `KEY_NEED_REFRESH_MAIN_PROJECT`
    `static java.lang.String` | `KEY_NOTICE_INFO_NO`
    `static java.lang.String` | `KEY_NOTICE_INFO_URL`
    `static java.lang.String` | `KEY_NOTIFICATION_DB_CODE`
    `static java.lang.String` | `KEY_NOTIFICATION_GROUP_ID`
    `static java.lang.String` | `KEY_NOTIFICATION_MESSAGE`
    `static java.lang.String` | `KEY_NOTIFICATION_TITLE`
    `static java.lang.String` | `KEY_NOTIFICATION_TYPE`
    `static java.lang.String` | `KEY_NOTIFICATION_VALUE_1`
    `static java.lang.String` | `KEY_NOTIFICATION_VALUE_2`
    `static java.lang.String` | `KEY_NOTIFICATION_VALUE_3`
    `static java.lang.String` | `KEY_RECENT_KEYWORD_LIST`
    `static java.lang.String` | `KEY_SELECTED_DEPARTMENT`
    `static java.lang.String` | `NAME_HIFIVE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HFSharedPreferences()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addStringSet(android.content.Context context, java.lang.String key, java.lang.String value)`
    `static void` | `clear(android.content.Context context)`
    `static boolean` | `getBoolean(android.content.Context context, java.lang.String key)`
    `static boolean` | `getBoolean(android.content.Context context, java.lang.String key, boolean def)`
    `static int` | `getInt(android.content.Context context, java.lang.String key)`
    `static long` | `getLong(android.content.Context context, java.lang.String key)`
    `static java.lang.String` | `getString(android.content.Context context, java.lang.String key)`
    `static java.util.ArrayList<java.lang.String>` | `getStringArrayPref(android.content.Context context, java.lang.String key)`
    `static java.util.Set<java.lang.String>` | `getStringSet(android.content.Context context, java.lang.String name, java.lang.String key)`
    `static boolean` | `hasStringSet(android.content.Context context, java.lang.String key, java.lang.String value)`
    `static void` | `removeKey(android.content.Context context, java.lang.String key)`
    `static void` | `setBoolean(android.content.Context context, java.lang.String key, boolean value)`
    `static void` | `setInt(android.content.Context context, java.lang.String key, int value)`
    `static void` | `setLong(android.content.Context context, java.lang.String key, long value)`
    `static void` | `setString(android.content.Context context, java.lang.String key, java.lang.String value)`
    `static void` | `setStringArrayPref(android.content.Context context, java.lang.String key, java.util.ArrayList<java.lang.String> values)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME_HIFIVE

          public static final java.lang.String NAME_HIFIVE

      See Also:
        Constant Field Values

    - #### KEY_DEVICE_UUID

          public static final java.lang.String KEY_DEVICE_UUID

      See Also:
        Constant Field Values

    - #### KEY_NEED_REFRESH_MAIN_HOME_ASSIGNED

          public static final java.lang.String KEY_NEED_REFRESH_MAIN_HOME_ASSIGNED

      See Also:
        Constant Field Values

    - #### KEY_NEED_REFRESH_MAIN_HOME_REQUEST

          public static final java.lang.String KEY_NEED_REFRESH_MAIN_HOME_REQUEST

      See Also:
        Constant Field Values

    - #### KEY_NEED_REFRESH_MAIN_PROJECT

          public static final java.lang.String KEY_NEED_REFRESH_MAIN_PROJECT

      See Also:
        Constant Field Values

    - #### KEY_NEED_REFRESH_MAIN_DASHBOARD

          public static final java.lang.String KEY_NEED_REFRESH_MAIN_DASHBOARD

      See Also:
        Constant Field Values

    - #### KEY_NEED_REFRESH_ALARM_LIST

          public static final java.lang.String KEY_NEED_REFRESH_ALARM_LIST

      See Also:
        Constant Field Values

    - #### KEY_LAST_MEMBER_LOGIN_ID

          public static final java.lang.String KEY_LAST_MEMBER_LOGIN_ID

      See Also:
        Constant Field Values

    - #### KEY_MEMBER_LOGIN_ID

          public static final java.lang.String KEY_MEMBER_LOGIN_ID

      See Also:
        Constant Field Values

    - #### KEY_LAST_NOTICE_NO

          public static final java.lang.String KEY_LAST_NOTICE_NO

      See Also:
        Constant Field Values

    - #### KEY_NOTICE_INFO_NO

          public static final java.lang.String KEY_NOTICE_INFO_NO

      See Also:
        Constant Field Values

    - #### KEY_NOTICE_INFO_URL

          public static final java.lang.String KEY_NOTICE_INFO_URL

      See Also:
        Constant Field Values

    - #### KEY_RECENT_KEYWORD_LIST

          public static final java.lang.String KEY_RECENT_KEYWORD_LIST

      See Also:
        Constant Field Values

    - #### KEY_CHECK_AUTH_TIME

          public static final java.lang.String KEY_CHECK_AUTH_TIME

      See Also:
        Constant Field Values

    - #### KEY_SELECTED_DEPARTMENT

          public static final java.lang.String KEY_SELECTED_DEPARTMENT

      See Also:
        Constant Field Values

    - #### KEY_NOTIFICATION_GROUP_ID

          public static final java.lang.String KEY_NOTIFICATION_GROUP_ID

      See Also:
        Constant Field Values

    - #### KEY_NOTIFICATION_TITLE

          public static final java.lang.String KEY_NOTIFICATION_TITLE

      See Also:
        Constant Field Values

    - #### KEY_NOTIFICATION_MESSAGE

          public static final java.lang.String KEY_NOTIFICATION_MESSAGE

      See Also:
        Constant Field Values

    - #### KEY_NOTIFICATION_TYPE

          public static final java.lang.String KEY_NOTIFICATION_TYPE

      See Also:
        Constant Field Values

    - #### KEY_NOTIFICATION_VALUE_1

          public static final java.lang.String KEY_NOTIFICATION_VALUE_1

      See Also:
        Constant Field Values

    - #### KEY_NOTIFICATION_VALUE_2

          public static final java.lang.String KEY_NOTIFICATION_VALUE_2

      See Also:
        Constant Field Values

    - #### KEY_NOTIFICATION_VALUE_3

          public static final java.lang.String KEY_NOTIFICATION_VALUE_3

      See Also:
        Constant Field Values

    - #### KEY_NOTIFICATION_DB_CODE

          public static final java.lang.String KEY_NOTIFICATION_DB_CODE

      See Also:
        Constant Field Values

    - #### KEY_DEFAULT_SCREEN

          public static final java.lang.String KEY_DEFAULT_SCREEN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HFSharedPreferences

          public HFSharedPreferences()

  - ### Method Detail

    - #### setInt

          public static void setInt(android.content.Context context,
                                    java.lang.String key,
                                    int value)

    - #### getInt

          public static int getInt(android.content.Context context,
                                   java.lang.String key)

    - #### setLong

          public static void setLong(android.content.Context context,
                                     java.lang.String key,
                                     long value)

    - #### getLong

          public static long getLong(android.content.Context context,
                                     java.lang.String key)

    - #### setBoolean

          public static void setBoolean(android.content.Context context,
                                        java.lang.String key,
                                        boolean value)

    - #### getBoolean

          public static boolean getBoolean(android.content.Context context,
                                           java.lang.String key)

    - #### getBoolean

          public static boolean getBoolean(android.content.Context context,
                                           java.lang.String key,
                                           boolean def)

    - #### setString

          public static void setString(android.content.Context context,
                                       java.lang.String key,
                                       java.lang.String value)

    - #### addStringSet

          public static void addStringSet(android.content.Context context,
                                          java.lang.String key,
                                          java.lang.String value)

    - #### hasStringSet

          public static boolean hasStringSet(android.content.Context context,
                                             java.lang.String key,
                                             java.lang.String value)

    - #### getStringSet

          public static java.util.Set<java.lang.String> getStringSet(android.content.Context context,
                                                                     java.lang.String name,
                                                                     java.lang.String key)

    - #### getString

          public static java.lang.String getString(android.content.Context context,
                                                   java.lang.String key)

    - #### setStringArrayPref

          public static void setStringArrayPref(android.content.Context context,
                                                java.lang.String key,
                                                java.util.ArrayList<java.lang.String> values)

    - #### getStringArrayPref

          public static java.util.ArrayList<java.lang.String> getStringArrayPref(android.content.Context context,
                                                                                 java.lang.String key)

    - #### removeKey

          public static void removeKey(android.content.Context context,
                                       java.lang.String key)

    - #### clear

          public static void clear(android.content.Context context)